<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: widgets.YamlEditorWindow Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classwidgets_1_1_yaml_editor_window.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classwidgets_1_1_yaml_editor_window-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">widgets.YamlEditorWindow Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for widgets.YamlEditorWindow:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classwidgets_1_1_yaml_editor_window.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a07898f91dbbee5ff9adc1dd9e35364b4"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_yaml_editor_window.html#a07898f91dbbee5ff9adc1dd9e35364b4">__init__</a> (self, parent, <a class="el" href="classwidgets_1_1_yaml_editor_window.html#aadacaf6c7fb546935373928049c80d11">simulation</a>)</td></tr>
<tr class="separator:a07898f91dbbee5ff9adc1dd9e35364b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0193f9937a8f4cfd1f650828a255035b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_yaml_editor_window.html#a0193f9937a8f4cfd1f650828a255035b">read_yaml</a> (self)</td></tr>
<tr class="separator:a0193f9937a8f4cfd1f650828a255035b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06e0cc3996723097d19a1bea17546efb"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_yaml_editor_window.html#a06e0cc3996723097d19a1bea17546efb">write_yaml</a> (self)</td></tr>
<tr class="separator:a06e0cc3996723097d19a1bea17546efb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aadacaf6c7fb546935373928049c80d11"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_yaml_editor_window.html#aadacaf6c7fb546935373928049c80d11">simulation</a></td></tr>
<tr class="separator:aadacaf6c7fb546935373928049c80d11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b329661eaf8a167e4c882b391e810dc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_yaml_editor_window.html#a5b329661eaf8a167e4c882b391e810dc">groupbox</a></td></tr>
<tr class="separator:a5b329661eaf8a167e4c882b391e810dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a561764d343bb2abd23433d14ab753eeb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_yaml_editor_window.html#a561764d343bb2abd23433d14ab753eeb">update_label</a></td></tr>
<tr class="separator:a561764d343bb2abd23433d14ab753eeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad439a8ec0ef3a486a2fb33421b81ae7f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_yaml_editor_window.html#ad439a8ec0ef3a486a2fb33421b81ae7f">read_button</a></td></tr>
<tr class="separator:ad439a8ec0ef3a486a2fb33421b81ae7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7e8b9ebd0a27d18bbc9fb801544745b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_yaml_editor_window.html#af7e8b9ebd0a27d18bbc9fb801544745b">describtion_yaml</a></td></tr>
<tr class="separator:af7e8b9ebd0a27d18bbc9fb801544745b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3ea8ccc820ac96ace6f1182349b33fd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_yaml_editor_window.html#ac3ea8ccc820ac96ace6f1182349b33fd">yaml_name</a></td></tr>
<tr class="separator:ac3ea8ccc820ac96ace6f1182349b33fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92161bc4ccf4d3e1240f7081c9b3f851"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_yaml_editor_window.html#a92161bc4ccf4d3e1240f7081c9b3f851">update_button</a></td></tr>
<tr class="separator:a92161bc4ccf4d3e1240f7081c9b3f851"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8be6e7a7f36a99bd21db35af7f610374"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_yaml_editor_window.html#a8be6e7a7f36a99bd21db35af7f610374">text_editor</a></td></tr>
<tr class="separator:a8be6e7a7f36a99bd21db35af7f610374"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae895ba0b5253a2f335587bed893f236"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_yaml_editor_window.html#aae895ba0b5253a2f335587bed893f236">parameters</a></td></tr>
<tr class="separator:aae895ba0b5253a2f335587bed893f236"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a07898f91dbbee5ff9adc1dd9e35364b4" name="a07898f91dbbee5ff9adc1dd9e35364b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07898f91dbbee5ff9adc1dd9e35364b4">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def widgets.YamlEditorWindow.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>simulation</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Editor for YAML files </pre> 
</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0193f9937a8f4cfd1f650828a255035b" name="a0193f9937a8f4cfd1f650828a255035b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0193f9937a8f4cfd1f650828a255035b">&#9670;&nbsp;</a></span>read_yaml()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def widgets.YamlEditorWindow.read_yaml </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Read in a yaml file </pre> 
</div>
</div>
<a id="a06e0cc3996723097d19a1bea17546efb" name="a06e0cc3996723097d19a1bea17546efb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06e0cc3996723097d19a1bea17546efb">&#9670;&nbsp;</a></span>write_yaml()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def widgets.YamlEditorWindow.write_yaml </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Override yaml file with informations from plain text.</pre> 
</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="af7e8b9ebd0a27d18bbc9fb801544745b" name="af7e8b9ebd0a27d18bbc9fb801544745b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7e8b9ebd0a27d18bbc9fb801544745b">&#9670;&nbsp;</a></span>describtion_yaml</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.YamlEditorWindow.describtion_yaml</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5b329661eaf8a167e4c882b391e810dc" name="a5b329661eaf8a167e4c882b391e810dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b329661eaf8a167e4c882b391e810dc">&#9670;&nbsp;</a></span>groupbox</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.YamlEditorWindow.groupbox</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aae895ba0b5253a2f335587bed893f236" name="aae895ba0b5253a2f335587bed893f236"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae895ba0b5253a2f335587bed893f236">&#9670;&nbsp;</a></span>parameters</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.YamlEditorWindow.parameters</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad439a8ec0ef3a486a2fb33421b81ae7f" name="ad439a8ec0ef3a486a2fb33421b81ae7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad439a8ec0ef3a486a2fb33421b81ae7f">&#9670;&nbsp;</a></span>read_button</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.YamlEditorWindow.read_button</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aadacaf6c7fb546935373928049c80d11" name="aadacaf6c7fb546935373928049c80d11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadacaf6c7fb546935373928049c80d11">&#9670;&nbsp;</a></span>simulation</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.YamlEditorWindow.simulation</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8be6e7a7f36a99bd21db35af7f610374" name="a8be6e7a7f36a99bd21db35af7f610374"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8be6e7a7f36a99bd21db35af7f610374">&#9670;&nbsp;</a></span>text_editor</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.YamlEditorWindow.text_editor</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a92161bc4ccf4d3e1240f7081c9b3f851" name="a92161bc4ccf4d3e1240f7081c9b3f851"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92161bc4ccf4d3e1240f7081c9b3f851">&#9670;&nbsp;</a></span>update_button</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.YamlEditorWindow.update_button</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a561764d343bb2abd23433d14ab753eeb" name="a561764d343bb2abd23433d14ab753eeb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a561764d343bb2abd23433d14ab753eeb">&#9670;&nbsp;</a></span>update_label</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.YamlEditorWindow.update_label</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac3ea8ccc820ac96ace6f1182349b33fd" name="ac3ea8ccc820ac96ace6f1182349b33fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3ea8ccc820ac96ace6f1182349b33fd">&#9670;&nbsp;</a></span>yaml_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.YamlEditorWindow.yaml_name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="widgets_8py.html">widgets.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacewidgets.html">widgets</a></li><li class="navelem"><a class="el" href="classwidgets_1_1_yaml_editor_window.html">YamlEditorWindow</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
